.cpi-ee83c54c-wrapper {
    display: flex;
    flex-wrap: wrap;
    width: 100%;
}

.cpi-ee83c54c-main-container {
    width: 100%;
    flex-shrink: 0;
}

.cpi-ee83c54c-main-image {
    width: 100%;
    height: auto;
    object-fit: cover;
    display: block;
    transition: all 0.3s ease;
}

.cpi-ee83c54c-gallery {
    display: grid;
    width: 100%;
    margin: 0;
    padding: 0;
}

.cpi-ee83c54c-thumb-wrap {
    width: 100%;
    overflow: hidden;
}

.cpi-ee83c54c-thumb {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
    cursor: pointer;
    transition: all 0.3s ease;
}

/* Positions styling rules */

/* TOP */
.cpi-ee83c54c-gallery-top .cpi-ee83c54c-wrapper {
    flex-direction: column-reverse;
}

/* BOTTOM */
.cpi-ee83c54c-gallery-bottom .cpi-ee83c54c-wrapper {
    flex-direction: column;
}

/* LEFT */
.cpi-ee83c54c-gallery-left .cpi-ee83c54c-wrapper {
    flex-direction: row-reverse;
    flex-wrap: nowrap;
}
.cpi-ee83c54c-gallery-left .cpi-ee83c54c-gallery {
    height: fit-content;
}

/* RIGHT */
.cpi-ee83c54c-gallery-right .cpi-ee83c54c-wrapper {
    flex-direction: row;
    flex-wrap: nowrap;
}
.cpi-ee83c54c-gallery-right .cpi-ee83c54c-gallery {
    height: fit-content;
}
